local _
local LAM = LibStub:GetLibrary("LibAddonMenu-2.0")

function BUI_FixMM.SetupOptionsMenu()

	local panelData = {
		type = "panel",
		name = BUI_FixMM.name,
		displayName = "|c0066ff[BUI]|r Fix MasterMerchant",
		author = "prasoc",
		version = BUI_FixMM.version,
		registerForRefresh = true,	--boolean (optional) (will refresh all options controls when a setting is changed and when the panel is shown)
		registerForDefaults = true,	--boolean (optional) (will set all options controls back to default values)
	}

	LAM:RegisterAddonPanel("BUI_FixMM", panelData)
end

function BUI_FixMM.Initialize(event, addon)
	if addon ~= BUI_FixMM.name then return end

	BUI_FixMM.EventManager:UnregisterForEvent(BUI_FixMM.name, EVENT_ADD_ON_LOADED)

	if(IsInGamepadPreferredMode()) then
		BUI_FixMM.GuildStore.SetupMM()
		BUI_FixMM.GuildStore.SetupCustomResults()
		BUI_FixMM.Tooltips.Setup()
	end

	BUI_FixMM.SetupOptionsMenu()
end

-- register our event handler function to be called to do initialization
BUI_FixMM.EventManager:RegisterForEvent(BUI_FixMM.name, EVENT_ADD_ON_LOADED, function(...) BUI_FixMM.Initialize(...) end)